<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>
<body>
   <script>
    const createNewUser = function() {
            let name = prompt("Введите ваше имя");
            let lastname = prompt("Введите ваше Фамилию");
            let birthday = prompt("Введите дату рождения в формате чч.мм.гггг");
             const  getLogin = function(){ 
                    let commonName = name[0] + lastname;
                    let newCommonName = commonName.toLowerCase();
                    return newCommonName;
            }
             
              const  getAge = function(){
                let birthdayYear = +birthday.substr(6,4);
                let isDate = new Date();
                let isDateYear =  isDate.getFullYear();
                let userAge = isDateYear - birthdayYear;
                    return userAge;
                }
              console.log(getAge());
              const  getPassword =  function(){
                let upperNameFirstLetter = this.firstName[0].toUpperCase();
                let lowerLastName = this.lastName.toLowerCase();
                let birthdayYear = +this.birthday.substr(6,4);
                let userPassword = upperNameFirstLetter + lowerLastName+birthdayYear;
                return userPassword;
                }
     

            let newUser = {
                firstName : name,
                lastName: lastname,
                birthday: birthday,
                getAge: getAge,
                getLogin: getLogin,
                getPassword: getPassword,
                
            }       
           
         return newUser;  

            }
        let user = createNewUser();
       
              console.log(user);

    
    </script> 
</body>
</html>